CorrectionMethod
Date: 2014-08-08

melting.methodInterfaces

## Interface CorrectionMethod

- All Known Implementing Classes:
    Ahsen01DMSOCorrection, Ahsen01SodiumCorrection, Blake96FormamideCorrection, Cullen76DMSOCorrection, DNADMSOCorrections, EntropyCorrection, Escara80DMSOCorrection, FormamideLinearMethod, FrankKamenetskii71SodiumCorrection, MarmurSchildkrautDoty98_62SodiumCorrection, Musielski81DMSOCorrection, Owczarzy04SodiumCorrection19, Owczarzy04SodiumCorrection20, Owczarzy04SodiumCorrection21, Owczarzy04SodiumCorrection22, Owczarzy08MagnesiumCorrection, Owczarzy08MixedNaMgCorrection, Santalucia96SodiumCorrection, Santalucia98_04SodiumCorrection, SchildkrautLifson65SodiumCorrection, Tan06MagnesiumCorrection, Tan06SodiumCorrection, Tan07MagnesiumCorrection, Tan07MixedNaMgCorrection, Tan07SodiumCorrection, Wetmur91SodiumCorrection

      public interface CorrectionMethod

  This interface is implemented by classes which contain methods to correct the melting temperature. It can be a temperature correction for ions, formamide, DMSO,...

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThermoResult` | `correctMeltingResults(Environment environment)` This method is called to correct the computed melting temperature.
    `boolean` | `isApplicable(Environment environment)` Check if the environment chosen by the user is a applicable with the correction model.

- - ### Method Detail

    - #### isApplicable

          boolean isApplicable(Environment environment)

      Check if the environment chosen by the user is a applicable with the correction model.
      Parameters:
        `environment` -
      Returns:
        false if the correction method can't be used with the Environment. If the environment can make the results less reliable, a warning message will appear.

    - #### correctMeltingResults

          ThermoResult correctMeltingResults(Environment environment)

      This method is called to correct the computed melting temperature.
      Parameters:
        `environment` -
      Returns:
        ThermoResult which contains the corrected results (enthalpy, entropy and melting temperature).